dnl   An automake macro for working with gtkDPS.
dnl   This macro is derived from guile.m4.
AC_DEFUN(AM_PATH_GTK_DPS,[dnl
  AC_MSG_CHECKING(for GtkDPS)
  gtkDPS-config --libs > /dev/null || {
    AC_MSG_RESULT(no)
    echo "configure: cannot find gtkDPS-config; is gtkDPS installed?" 1>&2
    exit 1
  }
  GTK_DPS_CFLAGS="`gtkDPS-config --cflags`"
  GTK_DPS_LDFLAGS="`gtkDPS-config --libs`"
  AC_SUBST(GTK_DPS_CFLAGS)
  AC_SUBST(GTK_DPS_LDFLAGS)
  AC_MSG_RESULT(yes)
])
